libretools - Bug #832

python packages using versioneer can't find their own version
2015-10-16 07:30 AM - fauno

Status: fixed % Done: 100%
Priority: bug

Assignee: lukeshu

Category:

Description

if you're building a python package from a git repo and it uses versioneer to find its own version number, it returns "unknown" version
because librechroot doesn't copy the .git dir into the srcdir, and git describe stops working.

i've thought of adding a bogus git describe command to the PKGBUILD that just echoes $pkgver, but it didn't work right away and
just solved it by using tarballs from pypi

History

#1 - 2017-01-21 12:28 AM - lukeshu
- Assignee deleted (lukeshu)

| think that the real issue is that there isn't a real sourceball. Use librefetch/mksource to create a sourceball that works first?

#2 - 2018-08-15 11:57 PM - lukeshu
- % Done changed from 0 to 100

- Assignee set to lukeshu

- Status changed from open to fixed

VCS packages should now be better supported. (For example, libre/systemd)

If you're still having problems with this, ping me.
